Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class EventGroup

`java.lang.Object
oracle.jbo.common.EventGroup`

public class EventGroup
extends java.lang.Object

This class provides a typesafe enumeration of instrumented event groups

Since:
  BC4J 5.0

Field Summary
`static EventGroup` | `BC4J_CREATE_AM`
`static EventGroup` | `BC4J_CREATE_COMPOBJ`
`static EventGroup` | `BC4J_CREATE_ROOTAM`
`static EventGroup` | `BC4J_CREATE_VIEWLINK`
`static EventGroup` | `BC4J_CREATE_VIEWOBJECT`
`static EventGroup` | `EXECUTE_QUERY`
`static EventGroup` | `JBO_MISCELLANEOUS`
`static EventGroup` | `JDBC_CONNECT`
`static EventGroup` | `JDBC_CREATE_PREPARED_STATEMENT`
`static EventGroup` | `JDBC_CREATE_STATEMENT`
`static EventGroup` | `JDBC_EXECUTE`
`static EventGroup` | `JDBC_SELECT`
`static EventGroup` | `METAOBJECT_LOAD`
`static EventGroup` | `REMOTE_METHOD_CALL`
`static EventGroup` | `SQLB_DOENTITYDML`
`static EventGroup` | `SQLB_DOENTITYSELECT`
`static EventGroup` | `VIEWOBJECT_GETSTATEMENT`

Method Summary
`static void` | `dumpEventDetails(java.io.PrintStream ps)` print out the details of all events
`static java.util.Enumeration` | `elements()` return an Enumeration of tall available eventgroups
`static EventGroup` | `first()`
`java.awt.Color` | `getColor()`
`java.lang.String` | `getFamily()`
`int` | `getID()`
`static java.lang.String` | `getName(int id)`
`boolean` | `getShow()`
`EventGroup` | `last()`
`EventGroup` | `next()`
`EventGroup` | `prev()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### JBO_MISCELLANEOUS

    public static EventGroup JBO_MISCELLANEOUS

### JDBC_SELECT

    public static EventGroup JDBC_SELECT

### JDBC_CREATE_STATEMENT

    public static EventGroup JDBC_CREATE_STATEMENT

### JDBC_CONNECT

    public static EventGroup JDBC_CONNECT

### JDBC_CREATE_PREPARED_STATEMENT

    public static EventGroup JDBC_CREATE_PREPARED_STATEMENT

### JDBC_EXECUTE

    public static EventGroup JDBC_EXECUTE

### METAOBJECT_LOAD

    public static EventGroup METAOBJECT_LOAD

### EXECUTE_QUERY

    public static EventGroup EXECUTE_QUERY

### BC4J_CREATE_COMPOBJ

    public static EventGroup BC4J_CREATE_COMPOBJ

### BC4J_CREATE_ROOTAM

    public static EventGroup BC4J_CREATE_ROOTAM

### BC4J_CREATE_VIEWOBJECT

    public static EventGroup BC4J_CREATE_VIEWOBJECT

### BC4J_CREATE_AM

    public static EventGroup BC4J_CREATE_AM

### BC4J_CREATE_VIEWLINK

    public static EventGroup BC4J_CREATE_VIEWLINK

### SQLB_DOENTITYDML

    public static EventGroup SQLB_DOENTITYDML

### SQLB_DOENTITYSELECT

    public static EventGroup SQLB_DOENTITYSELECT

### VIEWOBJECT_GETSTATEMENT

    public static EventGroup VIEWOBJECT_GETSTATEMENT

### REMOTE_METHOD_CALL

    public static EventGroup REMOTE_METHOD_CALL

Method Detail

### getName

    public static java.lang.String getName(int id)

### getID

    public int getID()

### toString

    public java.lang.String toString()

### getFamily

    public java.lang.String getFamily()

### getColor

    public java.awt.Color getColor()

### getShow

    public boolean getShow()

### prev

    public EventGroup prev()

### next

    public EventGroup next()

### first

    public static EventGroup first()

### last

    public EventGroup last()

### elements

    public static java.util.Enumeration elements()

  return an Enumeration of tall available eventgroups

### dumpEventDetails

    public static void dumpEventDetails(java.io.PrintStream ps)

  print out the details of all events

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.